{ pkgs ? import <nixpkgs> {}, ... }:
with pkgs;

stdenv.mkDerivation {
  name = "udp514-journal";
  src = fetchFromGitHub {
    owner = "eworm-de"; repo = "udp514-journal"; rev = "main";
    hash = "sha256-lk2Uz3OemhXd4MMR2zFi54XCQiGjibgvT1iz0a7R1j4=";
  };
  buildInputs = [ systemd ];
  nativeBuildInputs = [ pkg-config multimarkdown ];
  buildPhase = ''
    make udp514-journal
  '';
  installPhase = ''
    mkdir -p $out/bin
    cp udp514-journal $out/bin/udp514-journal
  '';
}
